<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$material = $_COOKIE['material'];
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$nomeOperador=$sessao->getVar('nomeuser');
$amostraLong=$sessao->getVar('amostraLong');
//echo("amostralong= $amostraLong<br>");
$objetocalculo = new calculos(); //calcula todos valores finais
$pdf=new FPDF('L','mm','A4'); //parametos da pagina 
			 $pdf->open();//abre o fpdf
			 //$pdf->AddPage();//adicionando a primera pafina
			 $pdf->SetFont('Arial','',12);
			 $pdf->SetDrawColor(10,10,10);
			 //$maximoHAdobe=297;//isso para vertical
			 //$maximoLAdobe=210;//isso para vertical
			 $maximoLAdobe=297;//isso para horizontal
			 $maximoHAdobe=210;//isso para horizontal
		     $margemEsquerdaExterna=10;
		     $margemEsquerda=10;
			 $margemDireita=$maximoLAdobe-6;
			 $larguraUtil=$maximoLAdobe-16;
			 $futer=$maximoHAdobe-10;
			 //$larguraUtil=$maximoLAdobe;
			 $cinza=220;
		     $fonte="Arial";
			 $nomeOperador=5;
			 $pdf->SetFillColor($cinza,$cinza,$cinza); 
			 $linha=0;
			 $posicaox1=10;
             $larg1=20;
             $larg2=20;
             $larg3=30;
             $larg4=50;
             $larg5=15;
             $larg6=10;
             $larg7=10;
             $larg8=10;
             $larg9=10;
             $larg10=10;

 			 $userTTAP = new amostras();
             $userTTAP->extras_select =  " WHERE fic_id=".$amostraLong; //esse ja funfa, errado mas funfa
			 $userTTAP->selecionaCampos($userTTAP);
			 $disparaCabecalho=1;
			 //echo("sssssssssql= $userTTAP->extras_select <br>");	
			 				 $pdf->AddPage();//adicionando a primera pafina 
			    			 $caminhoFinal="ImagensClientes/i".$idLabo.".JPG";				 
					 $pdf->Image($caminhoFinal,10,6,48,23,'JPG'); 
			 
			 			 
 
                     /*

				 	 $yCabecalho1=30;
					 $pdf->AddPage();//adicionando a primera pafina 
				     $disparaCabecalho=0;
					 $pdf->Line($margemEsquerda,5,$margemDireita,5);//Horiz topo
					 $pdf->Line($margemEsquerda,5,$margemEsquerda,$futer);//vert esq
					 $pdf->Line($margemDireita,5,$margemDireita,$futer);//vert dir
					 $pdf->Line($margemEsquerda,$futer,$margemDireita,$futer);//horiz base
				     $caminhoFinal="ImagensClientes/i".$idLabo.".JPG";				 
					 $pdf->Image($caminhoFinal,90,6,48,23,'JPG');
					 $pdf->SetFont('Arial','',12);
		         	 $pdf->setXY($posicaox1,$yCabecalho1);
					 $pdf->Cell(60,5,utf8_decode('LIVRO DE PROTOCOLO'),0,0,'L');//natureza
				     $pdf->SetFont('Arial','',8);
					 $pdf->Cell(60,5,'Data:'.date(d).'/'. date(m).'/'. date(Y),0,0,'L');//natureza
					 $pdf->Cell(60,5,$material,0,1,'C',1);//natureza
		             $yCabecalho1+=5;
			         $pdf->setXY($posicaox1,$yCabecalho1);
					 $pdf->Cell($larg1,5,'Amostra',1,0,'L');//natureza
					 $pdf->Cell($larg2,5,'Pedido',1,0,'L');//natureza
					 $pdf->Cell($larg3,5,'Pacote',1,0,'L');//natureza
					 $pdf->Cell($larg4,5,'Cliente',1,0,'L');//natureza
					 $pdf->Cell($larg5,5,'Entrada',1,0,'L');//natureza
					 */
					 
				     $disparaCabecalho=0;	
				 	 $margemEsquerda=10;
					 $margemDireita=$maximoLAdobe-6;
					 $larguraUtil=$maximoLAdobe-16;
					 $cinza=220;
					 $pdf->SetFillColor($cinza,$cinza,$cinza);
					 $grosso=0.7;
					 $medio=0.4;
					 $fino=0.3;
					 $extraFino=0.2;
					 //as cotas
					 $cota1=5;//inicio de tudo
					 $cota2=30;//final do cabecalho e inicio da amostra
				         $cota3=53;//pureza
				 	 $cota4=85;
				 	 $cota5=130;//inicio de germinacao
				         $cota6=0;
					 $cota7=157; //parte onde vao as caixinhas A,B,C,D,E,F.................
					 $cota8=260;
				     $cotaFinal=250;  
					 //LINHAS DO CONTORNO
					 $pdf->SetLineWidth($grosso);
					 $pdf->Rect($margemEsquerda,$cota1,$margemDireita-10,$cotaFinal-50);
					 
					//pdf->Line($margemEsquerda,$cota1,$margemDireita,$cota1);//linha externa superior	
					// $pdf->Line($margemEsquerda,$cota1,$margemEsquerda,$cotaFinal);//linha externa esquerda	
					// $pdf->Line($margemEsquerda,$cotaFinal,$margemDireita,$cotaFinal);//linha inferior	
					// $pdf->Line($margemDireita,$cota1,$margemDireita,$cotaFinal);	//linha direita
					// $pdf->SetLineWidth($fino);
				     ####################################CABECALHO################################################
					 $pdf->SetFont('Arial','B',10);
					 $posicaoCab1=67;

                      
			         $vetorLaboratorio=$objetocalculo->dadoslaboratorio();
					 $pdf->SetFont('Arial','B',10);
					 $pdf->setXY($posicaoCab1,5);
					 $pdf->Cell(224,5,utf8_decode('LABORATÓRIO DE ANÁLISE DE SEMENTES'),1,1,'C');//lab nome
					 $pdf->setXY($posicaoCab1,10);
					 $pdf->Cell(224,5,utf8_decode('TÍTULO:'),1,1,'C');//
					 //terceira linha
					 $larg1=56;
					 $pdf->setXY($posicaoCab1,15);
					 $pdf->Cell($larg1,5,utf8_decode('DATA VIGÊNCIA:'),1,0,'C');
					 $pdf->Cell($larg1,5,utf8_decode('NÚMERO E VERSÃO'),1,0,'C');//
					 $pdf->Cell($larg1,5,utf8_decode('REVISÕES'),1,0,'C');
					 $pdf->Cell($larg1,5,utf8_decode('PÁGINA 1 EM 1'),1,0,'C');
					 
					 //quarta linha
					 $larg1=56;
					 $pdf->setXY($posicaoCab1,20);
					 $pdf->Cell($larg1,5,utf8_decode('15/11/2015'),1,0,'C');
					 $pdf->Cell($larg1,5,utf8_decode('FOR 5.04.03'),1,0,'C');//
					 $pdf->Cell($larg1,5,utf8_decode('01'),1,0,'C');
					 $pdf->Cell($larg1,5,utf8_decode('01 DE 01'),1,0,'C');
					 
					 ###############################cria o setor da amostra############################################
					 
					 
					 
					$pdf->setXY($margemEsquerda,35);
					$pdf->Cell(35,5,utf8_decode('Nº DA AMOSTRA:'),1,0,'L');//lab nome
					$pdf->setXY($margemEsquerda,35);
					$pdf->Cell(215,5,utf8_decode('PERÍODO:'),1,0,'C');//lab nome
					$pdf->Cell(65,13,utf8_decode('Nº DE SEM. TESTADAS:'),1,0,'L');//lab nome
					$pdf->setXY($margemEsquerda,40);
					$pdf->Cell(140,11,utf8_decode('INÍCIO:___________'),0,0,'C');//lab nome
					$pdf->Cell(20,11,utf8_decode('TÉRMINO:___________'),0,0,'C');//lab nome
					
$vetorPatogenos[1]='Aspergillus flavus';
$vetorPatogenos[2]='Aspergillus niger';
$vetorPatogenos[3]='Aspergillus spp';
$vetorPatogenos[4]='Cercospora kikushii';
$vetorPatogenos[5]='Colletotrichum truncatum';
$vetorPatogenos[6]='Fusarium graminearum';
$vetorPatogenos[7]='Fusarium semitectum';
$vetorPatogenos[8]='Fusarium spp';
$vetorPatogenos[9]='Phomopsis sp.';
$vetorPatogenos[10]='BACTERIA';
$vetorPatogenos[11]='';
$vetorPatogenos[12]='SEMENTE DURA';




$cota1=48;
	$pdf->setXY($margemEsquerda,48);
	$pdf->Cell(60,5,utf8_decode('DOENÇA/PATÓGENO:'),1,0,'L');
    for($ii=1;$ii<=20;$ii++):
	  $pdf->Cell(10,5,$ii,1,0,'C');
	endfor;
	$pdf->Cell(20,5,utf8_decode('%'),1,0,'C');

	$pdf->SetFont('Arial','I',10);
	
	for($linha=1;$linha<=12;$linha++):
	    $cota1+=5;
		$pdf->setXY($margemEsquerda,$cota1);
		$pdf->Cell(60,5,utf8_decode($vetorPatogenos[$linha]).' (%)',1,0,'L');
		for($ii=1;$ii<=20;$ii++):
		  $pdf->Cell(10,5,'',1,0,'C');
		endfor;
    	$pdf->Cell(20,5,'',1,0,'C');
	
    endfor;

					


                    $cota1+=5;  					
					$pdf->setXY($margemEsquerda,$cota1);
					$pdf->Cell(280,7,utf8_decode('OUTROS:'),1,0,'L');
					
					
					//setor de saprofitas
					$largFixa=60;
                    $pos1=50;
					$cota1+=20;
					
					$pdf->SetFont('Arial','I',12);
					$pdf->Rect($margemEsquerda,$cota1,$margemDireita-10,25);					$pdf->setXY($margemEsquerda,$cota1);
					$pdf->Cell($largFixa,18,utf8_decode('SAPRÓFITAS:'),0,0,'L');
					$pdf->setXY($margemEsquerda,177);
					
                    //primeira linha de saprofitas  					
					 $pdf->SetFont('Arial','I',10);
					$pdf->setXY($margemEsquerda+50,$cota1);
					$pdf->Cell($largFixa,5,utf8_decode('( )Alternaria sp'),0,0,'L');
					$pdf->Cell($largFixa,5,utf8_decode('( )Curvularia sp'),0,0,'L');
					$pdf->Cell($largFixa,5,utf8_decode('( )Nigrospora sp'),0,0,'L');
					$pdf->Cell($largFixa,5,utf8_decode('( )Trichoderma sp'),0,0,'L');

                    //segunda linha de saprofitas  					
					$pdf->setXY($margemEsquerda+50,$cota1+5);
					$pdf->Cell($largFixa,5,utf8_decode('( )Chaetomptum sp'),0,0,'L');
					$pdf->Cell($largFixa,5,utf8_decode('( )Helinthosporium sp'),0,0,'L');
					$pdf->Cell($largFixa,5,utf8_decode('( )Peniciliun sp'),0,0,'L');
				
                    //terceira linha de saprofitas  					
					$pdf->setXY($margemEsquerda+50,$cota1+10);
					$pdf->Cell($largFixa,5,utf8_decode('( )Cladosporium sp'),0,0,'L');
					$pdf->Cell($largFixa,5,utf8_decode('( )Mucor sp'),0,0,'L');
					$pdf->Cell($largFixa,5,utf8_decode('( )Rhizopus sp'),0,0,'L');
                    


					
					
					
					$cota1+=25;
					$pdf->setXY($margemEsquerda,$cota1);
					$pdf->Cell(280,18,utf8_decode('OBSERVAÇÕES:'),1,0,'L');
					$pdf->setXY($margemEsquerda,195);
					$pdf->Cell(100,5,utf8_decode('Data:'),0,0,'L');
					$pdf->Cell(100,5,utf8_decode('Analista:'),0,0,'L');
					
					
					
					
					

		ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");
		
?>
